var height = document.body.clientHeight,
	width = document.body.clientWidth,
	size = Math.min(height, width),
	r = size / 2;

var svg = d3.select('body').append('svg')
	.attr('height', size)
	.attr('width', size)
	.append('g')
	.attr('transform', 'translate(' + [r, r] + ')');
	
var pie = d3.layout.pie()
	.sort(null);
	
var arc = d3.svg.arc()
	.innerRadius(r / 2)
	.outerRadius(r);
	
var color = d3.scale.category10();
	
function donutChart(data) {
	var binding = svg.selectAll('g')
		.data(pie(data));
		
	var enter = binding.enter().append('g');
	
	enter.append('path');
	enter.append('text');
	
	binding.select('path')
		.attr('d', arc)
		.attr('fill', function(d, i) { return color(i); });
		
	binding.select('text')
		.text(function (d) { return d.value; })
		//translate to arc's center
		.attr('transform', function (d) {
			return 'translate(' + arc.centroid(d) + ')';
		})
		//center horizontally
		.attr('text-anchor', 'middle')
		//center vertically
		.attr('dy', '.35em');
	
	binding.exit().remove();
}

donutChart(data);